from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils as cmfutils
from Products.CMFCore.CMFCorePermissions import AddPortalContent

registerDirectory('skins', globals())

import University
import Students
import Widgets

fti = (Students.student_fti,
)
contentClasses = (University.University,
                  Students.StudentsFolder,
                  Students.Student,
                 )

contentConstructors = (University.addUniversity,
                       Students.addStudentsFolder,
                       Students.addStudent,
                       )

def initialize(registrar):
    cmfutils.ContentInit(
        'WAeUP',
        content_types=contentClasses,
        permission=AddPortalContent,
        extra_constructors=contentConstructors,
        fti=fti,
        
    ).initialize(registrar)
